> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aboneliği Sil

> Bir Otomatik Bandwidth aboneliğini silin

## Aboneliği Sil

Bir aboneliği siler. Adresi izlemeyi bırakır ve ona devrettiğimiz bant genişliğini birkaç saniye içinde geri alırız; adres yeni bir abonelik için boşalır. Silmeden önce bizim bant genişliğimizi kullanan bir transferin ücreti yine de alınır. `buy_bandwidth` kapsamını gerektirir.

Ayarları kaybetmeden bir süre durmak için bunun yerine `enabled: false` ile [aboneliği duraklatın](https://docs.tronrental.com/tr/api-reference/auto-bandwidth/update-subscription.md).

### Yol parametreleri

**sub\_id** `number` *required*

Abonelik kimliği — Abonelik Oluştur veya Abonelikleri Listele yanıtındaki `id`

### Yanıt

**id** `number`

Silinen aboneliğin kimliği

**status** `string`

`deleted`

### Örnek

```bash cURL theme={null}
curl -X DELETE https://api.tronrental.com/v1/bandwidth/auto/42 \
  -H "X-API-Key: your_api_key"
```

```python Python theme={null}
import requests

resp = requests.delete(
    "https://api.tronrental.com/v1/bandwidth/auto/42",
    headers={"X-API-Key": "your_api_key"},
)
print(resp.json())
```

```javascript JavaScript theme={null}
const resp = await fetch("https://api.tronrental.com/v1/bandwidth/auto/42", {
  method: "DELETE",
  headers: { "X-API-Key": "your_api_key" },
});
console.log(await resp.json());
```

```json Response theme={null}
{
  "id": 42,
  "status": "deleted"
}
```

### Hatalar

| Durum | Kod | Ne zaman |
| - | - | - |
| `403` | `FORBIDDEN` | API anahtarında `buy_bandwidth` kapsamı yok |
| `404` | `NOT_FOUND` | Hesabınızda bu kimliğe sahip abonelik yok (veya zaten silindi) |

```json theme={null}
{
  "detail": {
    "error": {
      "code": "NOT_FOUND",
      "message": "Auto-Bandwidth subscription not found"
    }
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.